Index: /branches/UserManagement/HeuristicLab.Authentication.sln
===================================================================
--- /branches/UserManagement/HeuristicLab.Authentication.sln	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Authentication.sln	(revision 4740)
@@ -16,4 +16,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.TestClient", "HeuristicLab.Services.Authentication.TestClient\HeuristicLab.Services.Authentication.TestClient.csproj", "{C31A4169-0BD0-4969-A85B-49AA3B679047}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.TestClient2", "HeuristicLab.Services.Authentication.TestClient2\HeuristicLab.Services.Authentication.TestClient2.csproj", "{EB40C828-D545-4DFE-9CE6-108FB03C6912}"
 EndProject
 Global
@@ -70,4 +72,14 @@
 		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|x86.ActiveCfg = Release|x86
 		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|x86.Build.0 = Release|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|x86.ActiveCfg = Debug|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|x86.Build.0 = Debug|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|Any CPU.ActiveCfg = Release|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|Mixed Platforms.Build.0 = Release|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|x86.ActiveCfg = Release|x86
+		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4740)
@@ -52,13 +52,11 @@
       <DependentUpon>Settings.settings</DependentUpon>
     </Compile>
+    <Compile Include="UserManagement.cs">
+      <DependentUpon>UserManagement.dbml</DependentUpon>
+    </Compile>
     <Compile Include="UserManagement.designer.cs">
       <AutoGen>True</AutoGen>
       <DesignTime>True</DesignTime>
       <DependentUpon>UserManagement.dbml</DependentUpon>
-    </Compile>
-    <Compile Include="_HeuristicLab_AuthenticationDataSet.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
     </Compile>
   </ItemGroup>
@@ -73,15 +71,4 @@
       <LastGenOutput>UserManagement.designer.cs</LastGenOutput>
       <SubType>Designer</SubType>
-    </None>
-    <None Include="_HeuristicLab_AuthenticationDataSet.xsc">
-      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
-    </None>
-    <None Include="_HeuristicLab_AuthenticationDataSet.xsd">
-      <Generator>MSDataSetGenerator</Generator>
-      <LastGenOutput>_HeuristicLab_AuthenticationDataSet.Designer.cs</LastGenOutput>
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="_HeuristicLab_AuthenticationDataSet.xss">
-      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
     </None>
   </ItemGroup>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs	(revision 4740)
@@ -7,15 +7,21 @@
 namespace HeuristicLab.Services.Authentication.DataTransfer
 {
-    [DataContract]
-    public class Application
-    {
-        [DataMember]
-        public Guid ApplicationId { get; set; }
-        [DataMember]
-        public string ApplicationName { get; set; }
-        [DataMember]
-        public string LoweredApplicationName { get; set; }
-        [DataMember]
-        public string Description { get; set; }
-    }
+  [DataContract]
+  public class Application : NamedAuthItem {
+    //[DataMember]
+    //public string LoweredApplicationName { get; set; }
+    [DataMember]
+    public string Description { get; set; }
+  }
+    //[DataContract]
+    //public class Application : NamedAuthItem {
+    //    [DataMember]
+    //    public Guid ApplicationId { get; set; }
+    //    [DataMember]
+    //    public string ApplicationName { get; set; }
+    //    [DataMember]
+    //    public string LoweredApplicationName { get; set; }
+    //    [DataMember]
+    //    public string Description { get; set; }
+    //}
 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4740)
@@ -43,6 +43,7 @@
   <ItemGroup>
     <Compile Include="Application.cs" />
+    <Compile Include="AuthItem.cs" />
+    <Compile Include="NamedAuthItem.cs" />
     <Compile Include="Role.cs" />
-    <Compile Include="Membership.cs" />
     <Compile Include="User.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4740)
@@ -7,17 +7,26 @@
 namespace HeuristicLab.Services.Authentication.DataTransfer
 {
-    [DataContract]
-    public class Role
-    {
-        [DataMember]
-        public Guid ApplicationId { get; set; }
-        [DataMember]
-        public Guid RoleId { get; set; }
-        [DataMember]
-        public string RoleName { get; set; }
-        [DataMember]
-        public string LoweredRoleName { get; set; }
-        [DataMember]
-        public string Description { get; set; }
-    }
+  [DataContract]
+  public class Role : NamedAuthItem {
+    [DataMember]
+    public Guid ApplicationId { get; set; }
+    //[DataMember]
+    //public string LoweredRoleName { get; set; }
+    [DataMember]
+    public string Desciption { get; set; }
+  }
+    //[DataContract]
+    //public class Role
+    //{
+    //    [DataMember]
+    //    public Guid ApplicationId { get; set; }
+    //    [DataMember]
+    //    public Guid RoleId { get; set; }
+    //    [DataMember]
+    //    public string RoleName { get; set; }
+    //    [DataMember]
+    //    public string LoweredRoleName { get; set; }
+    //    [DataMember]
+    //    public string Description { get; set; }
+    //}
 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4740)
@@ -7,49 +7,106 @@
 namespace HeuristicLab.Services.Authentication.DataTransfer
 {
-    [DataContract]
-    public class User
-    {
+  [DataContract]
+  public class User : NamedAuthItem {
+    // Member of Membership
+    [DataMember]
+    public Guid ApplicationId { get; set; } // Membership
+    [DataMember]
+    public string Password { get; set; } // Membership
+    //[DataMember]
+    //public string PasswordFormat { get; set; } // Membership
+    [DataMember]
+    public string PasswordSalt { get; set; } // Membership
+    //[DataMember]
+    //public string MobilePIN { get; set; } // Membership
+    [DataMember]
+    public string Email { get; set; } // Membership
+    //[DataMember]
+    //public string LoweredEmail { get; set; } // Membership
+    //[DataMember]
+    //public string PasswordQuestion { get; set; } // Membership
+    //[DataMember]
+    //public string PasswordAnswer { get; set; } // Membership
+    [DataMember]
+    public bool IsApproved { get; set; } // Membership
+    [DataMember]
+    public bool IsLookedOut { get; set; } // Membership
+    [DataMember]
+    public DateTime CreateDate { get; set; } // Membership
+    [DataMember]
+    public DateTime LastLoginDate { get; set; } // Membership
+    [DataMember]
+    public DateTime LastPasswordChangeDate { get; set; } // Memership
+    [DataMember]
+    public DateTime LastLockoutDate { get; set; } // Membership
+    //[DataMember]
+    //public int FailedPasswordAttemptCount { get; set; } // Membership
+    //[DataMember]
+    //public DateTime FailedPasswordAttemptWindowStart { get; set; } // Membership
+    //[DataMember]
+    //public int FailedPasswordAnswerAttemptCount { get; set; } // Membership
+    //[DataMember]
+    //public DateTime FailedPasswordAnswerAttemptWindowStart { get; set; } // Membership
+    [DataMember]
+    public string Comment { get; set; } // Membership
+    // Members of User
+    //[DataMember]
+    //public string LoweredUserName { get; set; } // User
+    //[DataMember]
+    //public string MobileAlias { get; set; } // User
+    //[DataMember]
+    //public bool IsAnonymous { get; set; } // User
+    [DataMember]
+    public DateTime LastActivityDate { get; set; } // User
 
-        public User()
-        {
-            Membership = new Membership();
-        }
+  }
 
-        [DataMember]
-        public Membership Membership { get; set; }
 
-        [DataMember]
-        public string Email
-        {
-            get { return Membership.Email; }
-            set { Membership.Email = value; }
-        }
-        [DataMember]
-        public string Password
-        {
-            get { return Membership.Password; }
-            set { Membership.Password = value; }
-        }
-        [DataMember]
-        public string PasswordQuestion
-        {
-            get { return Membership.PasswordQuestion; }
-            set { this.Membership.PasswordQuestion = value; }
-        }
-        [DataMember]
-        public Guid ApplicationId { get; set; }
-        [DataMember]
-        public Guid UserId { get; set; }
-        [DataMember]
-        public string UserName { get; set; }
-        [DataMember]
-        public string LoweredUserName { get; set; }
-        [DataMember]
-        public string MobileAlias { get; set; }
-        [DataMember]
-        public bool IsAnonymous { get; set; }
-        [DataMember]
-        public DateTime LastActivityDate { get; set; }
 
-    }
+    //[DataContract]
+    //public class User
+    //{
+
+    //    public User()
+    //    {
+    //        Membership = new Membership();
+    //    }
+
+    //    [DataMember]
+    //    public Membership Membership { get; set; }
+
+    //    [DataMember]
+    //    public string Email
+    //    {
+    //        get { return Membership.Email; }
+    //        set { Membership.Email = value; }
+    //    }
+    //    [DataMember]
+    //    public string Password
+    //    {
+    //        get { return Membership.Password; }
+    //        set { Membership.Password = value; }
+    //    }
+    //    [DataMember]
+    //    public string PasswordQuestion
+    //    {
+    //        get { return Membership.PasswordQuestion; }
+    //        set { this.Membership.PasswordQuestion = value; }
+    //    }
+    //    [DataMember]
+    //    public Guid ApplicationId { get; set; }
+    //    [DataMember]
+    //    public Guid UserId { get; set; }
+    //    [DataMember]
+    //    public string UserName { get; set; }
+    //    [DataMember]
+    //    public string LoweredUserName { get; set; }
+    //    [DataMember]
+    //    public string MobileAlias { get; set; }
+    //    [DataMember]
+    //    public bool IsAnonymous { get; set; }
+    //    [DataMember]
+    //    public DateTime LastActivityDate { get; set; }
+
+    //}
 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4740)
@@ -75,5 +75,5 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.Application.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.Membership.datasource" />
     <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.Role.datasource" />
     <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.User.datasource" />
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4740)
@@ -47,4 +47,7 @@
             this.btnNewUser = new System.Windows.Forms.Button();
             this.dgvUsers = new System.Windows.Forms.DataGridView();
+            this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.Membership = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
             this.tcUser = new System.Windows.Forms.TabControl();
@@ -82,7 +85,4 @@
             this.userNameDataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.bsUserRoles = new System.Windows.Forms.BindingSource(this.components);
-            this.Membership = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
-            this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             roleNameLabel = new System.Windows.Forms.Label();
             descriptionLabel = new System.Windows.Forms.Label();
@@ -223,4 +223,5 @@
             // 
             this.bsApplications.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Application);
+            this.bsApplications.CurrentChanged += new System.EventHandler(this.bsApplications_CurrentChanged);
             // 
             // label1
@@ -297,4 +298,25 @@
             this.dgvUsers.TabIndex = 1;
             this.dgvUsers.SelectionChanged += new System.EventHandler(this.dgvUsers_SelectionChanged);
+            // 
+            // userNameDataGridViewTextBoxColumn
+            // 
+            this.userNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
+            this.userNameDataGridViewTextBoxColumn.DataPropertyName = "UserName";
+            this.userNameDataGridViewTextBoxColumn.HeaderText = "UserName";
+            this.userNameDataGridViewTextBoxColumn.Name = "userNameDataGridViewTextBoxColumn";
+            // 
+            // isAnonymousDataGridViewCheckBoxColumn
+            // 
+            this.isAnonymousDataGridViewCheckBoxColumn.DataPropertyName = "IsAnonymous";
+            this.isAnonymousDataGridViewCheckBoxColumn.HeaderText = "IsAnonymous";
+            this.isAnonymousDataGridViewCheckBoxColumn.Name = "isAnonymousDataGridViewCheckBoxColumn";
+            // 
+            // Membership
+            // 
+            this.Membership.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.Membership.DataPropertyName = "Membership.Email";
+            this.Membership.HeaderText = "EMail";
+            this.Membership.Name = "Membership";
+            this.Membership.Width = 58;
             // 
             // bsUsers
@@ -632,25 +654,4 @@
             // 
             this.bsUserRoles.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
-            // 
-            // Membership
-            // 
-            this.Membership.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
-            this.Membership.DataPropertyName = "Membership.Email";
-            this.Membership.HeaderText = "EMail";
-            this.Membership.Name = "Membership";
-            this.Membership.Width = 58;
-            // 
-            // isAnonymousDataGridViewCheckBoxColumn
-            // 
-            this.isAnonymousDataGridViewCheckBoxColumn.DataPropertyName = "IsAnonymous";
-            this.isAnonymousDataGridViewCheckBoxColumn.HeaderText = "IsAnonymous";
-            this.isAnonymousDataGridViewCheckBoxColumn.Name = "isAnonymousDataGridViewCheckBoxColumn";
-            // 
-            // userNameDataGridViewTextBoxColumn
-            // 
-            this.userNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
-            this.userNameDataGridViewTextBoxColumn.DataPropertyName = "UserName";
-            this.userNameDataGridViewTextBoxColumn.HeaderText = "UserName";
-            this.userNameDataGridViewTextBoxColumn.Name = "userNameDataGridViewTextBoxColumn";
             // 
             // UserManagement
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4740)
@@ -179,4 +179,9 @@
         }
 
+        private void bsApplications_CurrentChanged(object sender, EventArgs e)
+        {
+
+        }
+
     
 
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4740)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4740)
@@ -0,0 +1,67 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{EB40C828-D545-4DFE-9CE6-108FB03C6912}</ProjectGuid>
+    <OutputType>Exe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.Authentication.TestClient2</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.Authentication.TestClient2</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Services.Authentication.DataTransfer\HeuristicLab.Services.Authentication.DataTransfer.csproj">
+      <Project>{AC44BDF4-AED7-4445-9A99-57B3237DBE88}</Project>
+      <Name>HeuristicLab.Services.Authentication.DataTransfer</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj">
+      <Project>{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}</Project>
+      <Name>HeuristicLab.Services.Authentication</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4740)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4740)
@@ -0,0 +1,30 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Services.Authentication.DataTransfer;
+
+namespace HeuristicLab.Services.Authentication.TestClient2 {
+  class Program {
+    static void Main(string[] args) {
+
+      AuthenticationService auth = new AuthenticationService();
+
+
+      Console.WriteLine("Find User with GUID: 0938331f-847e-4361-8ef0-a84e5a8b121c");
+      Guid userguid = Guid.Parse("0938331f-847e-4361-8ef0-a84e5a8b121c");
+      User user = auth.GetUser(userguid);
+
+      if (user != null) {
+        Console.WriteLine("Username of User: {0}", user.Name);
+      } else {
+        Console.WriteLine("User not found!");
+      }
+
+      Console.ReadLine();
+
+
+
+    }
+  }
+}
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Properties/AssemblyInfo.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Properties/AssemblyInfo.cs	(revision 4740)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Properties/AssemblyInfo.cs	(revision 4740)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Authentication.TestClient2")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Authentication.TestClient2")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("6c66e883-e3e6-4b73-b3ca-cae5486d2cd9")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
